srecord: srecord::input_generator_random Class Reference

srecord 1.65.0

Loading...
Searching...
No Matches
srecord::input_generator_random Class Reference

The srecord::input_generator_random class is used to represent a factory which manufactures random data. More...

`#include <random.h>`

Inheritance diagram for srecord::input_generator_random:
[legend]
Collaboration diagram for srecord::input_generator_random:
[legend]

## Public Member Functions
virtual | ~input_generator_random ()
| The destructor.
Public Member Functions inherited from srecord::input_generator
virtual | ~input_generator ()
| The destructor.
| input_generator (const interval &range)
| The constructor.
Public Member Functions inherited from srecord::input
virtual | ~input ()
| The destructor.
virtual void | fatal_error (const char *,...) const FORMAT_PRINTF(2
| The fatal_error method is used to report problems parsing the file.
virtual void virtual void | fatal_error_errno (const char *,...) const FORMAT_PRINTF(2
| The fatal_error_errno method is used to report problems reading the input file.
virtual void virtual void virtual void | warning (const char *,...) const FORMAT_PRINTF(2
| The warning method is used to report potential (but non-fatal) problems parsing the file.
virtual std::string | filename_and_line (void) const
| The filename_and_line method is used to get the name and current line number within the file.
void | set_quit (quit &)
| The set_quit method is used to set the disposition of the error messages, and the "exit" implementation.
void | reset_quit (void)
| The reset_quit method is used to cause the disposition of the error messages, and the "exit" back to the default.
virtual void | command_line (srecord::arglex_tool *cmdln)
| The command_line method is used by arglex_srec::get_input when parsing the command line, to give a format or filter an opportunity to grab extra arguments off the command line.

## Static Public Member Functions
static pointer | create (const interval &range)
| The create class method is used to create new dynamically allocated instances of this class.
Static Public Member Functions inherited from srecord::input_generator
static input::pointer | create (arglex_tool *cmdln)
| The create class method may be used to create new instances of input data generators.

## Protected Member Functions
std::string | filename () const
| The filename method is used to get the name of the input file being processed.
const char * | get_file_format_name () const
| The get_file_format_name method is used to find out the name of the file format being read.
unsigned char | generate_data (unsigned long address)
| The generate_data method is used to manufacture data for a specific address.
Protected Member Functions inherited from srecord::input_generator
bool | read (record &record)
| The read method is used to read one record from the input.
void | disable_checksum_validation ()
| The disable_checksum_validation method is used to have this input stream ignore checksum errors.
Protected Member Functions inherited from srecord::input
| input ()
| The default constructor.

## Additional Inherited Members
Public Types inherited from srecord::input
typedef std::shared_ptr< input > | pointer

## Detailed Description

The srecord::input_generator_random class is used to represent a factory which manufactures random data.

Definition at line 32 of file random.h.

## Constructor & Destructor Documentation

## ◆ ~input_generator_random()

virtual srecord::input_generator_random::~input_generator_random | ( |  | ) |
| virtual

The destructor.

## Member Function Documentation

## ◆ create()

pointer srecord::input_generator_random::create | ( | const interval & | range | ) |
| static

The create class method is used to create new dynamically allocated instances of this class.

## ◆ filename()

std::string srecord::input_generator_random::filename | ( |  | ) | const
| protectedvirtual

The filename method is used to get the name of the input file being processed.

Derived classes must supply this method.

Implements srecord::input.

## ◆ get_file_format_name()

const char * srecord::input_generator_random::get_file_format_name | ( |  | ) | const
| protectedvirtual

The get_file_format_name method is used to find out the name of the file format being read.

Derived classes must supply this method.

Implements srecord::input.

## ◆ generate_data()

unsigned char srecord::input_generator_random::generate_data | ( | unsigned long | address | ) |
| protectedvirtual

The generate_data method is used to manufacture data for a specific address.

Parameters

  address | The address to generate data for.

Returns
  one byte of data

Implements srecord::input_generator.

The documentation for this class was generated from the following file:

- input/generator/random.h